> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the task jobs schema

> Fetch the configuration schema for task jobs.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-config.json get /job-config/tasks/_schema
openapi: 3.0.1
info:
  title: Fusion Job Config API
  description: API for the Job Configuration and History of Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Manage task jobs
    description: Fetch, create, update, and delete task job configurations.
  - name: Manage all jobs
    description: Fetch, create, update, and delete task jobs and Spark jobs.
  - name: Manage job schedules
    description: Fetch, configure, and reset job schedules.
  - name: Get job histories
    description: Get the history of any job.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-config/tasks/_schema:
    get:
      tags:
        - Manage task jobs
      summary: Get the task jobs schema
      description: Fetch the configuration schema for task jobs.
      operationId: getEntitySchema
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ObjectType'
              example:
                type: object
                properties: {}
                oneOf:
                  - type: object
                    title: Log Cleanup
                    description: Use this job when you want to delete old logs.
                    required:
                      - id
                      - collection
                      - type
                    properties:
                      id:
                        type: string
                        title: ID
                        maxLength: 128
                        pattern: ^[A-Za-z0-9_\-]+$
                      collection:
                        type: string
                        title: Logs collection
                        enum:
                          - system_logs
                      days:
                        type: integer
                        title: Delete logs older than N days
                        default: 30
                      query:
                        type: string
                        title: Query to match docs to delete
                        description: >-
                          Default value excludes audit log entries to preserve
                          audit information such as login / logout events.
                        default: '-logger_class_s:"com.lucidworks.cloud.gateway.audit"'
                      type:
                        type: string
                        enum:
                          - system-logs-cleanup
                        default: system-logs-cleanup
                        hints:
                          - readonly
                    additionalProperties: false
                    category: Other
                    categoryPriority: 1
                    unsafe: false
                  - type: object
                    title: REST Call
                    description: Run arbitrary REST/HTTP/Solr command.
                    required:
                      - id
                      - callParams
                      - type
                    properties:
                      id:
                        type: string
                        title: ID
                        maxLength: 128
                        pattern: ^[A-Za-z0-9_\-]+$
                      callParams:
                        type: object
                        title: Call Parameters
                        required:
                          - uri
                          - method
                        properties:
                          uri:
                            type: string
                            title: Endpoint URI
                          method:
                            type: string
                            title: Call method
                            description: One of GET, POST, PUT, or DELETE.
                            enum:
                              - get
                              - put
                              - post
                              - delete
                          queryParams:
                            type: object
                            title: Query parameters
                            properties: {}
                            additionalProperties:
                              type: string
                          headers:
                            type: object
                            title: Request protocol headers
                            properties: {}
                            additionalProperties:
                              type: string
                          entity:
                            type: string
                            title: Request entity (as string)
                            hints:
                              - code
                              - lengthy
                      type:
                        type: string
                        enum:
                          - rest-call
                        default: rest-call
                        hints:
                          - readonly
                    additionalProperties: false
                    category: Other
                    categoryPriority: 1
                    unsafe: false
                  - type: object
                    title: Download Blob
                    description: Download and update Blob.
                    required:
                      - id
                      - url
                      - blobId
                      - type
                    properties:
                      id:
                        type: string
                        title: ID
                        maxLength: 128
                        pattern: ^[A-Za-z0-9_\-]+$
                      url:
                        type: string
                        title: Url to download a Blob from
                      blobId:
                        type: string
                        title: Blob id
                      type:
                        type: string
                        enum:
                          - blob-download
                        default: blob-download
                        hints:
                          - readonly
                    additionalProperties: false
                    category: Other
                    categoryPriority: 1
                    unsafe: false
components:
  schemas:
    ObjectType:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        required:
          uniqueItems: true
          type: array
          items:
            type: string
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        additionalProperties:
          type: object
        minProperties:
          type: integer
          format: int32
        maxProperties:
          type: integer
          format: int32
        definitions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        enum:
          uniqueItems: true
          type: array
          items:
            type: object
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
        default:
          type: object
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
        propertyGroups:
          type: array
          items:
            $ref: '#/components/schemas/PropertyGroup'
    AnyType:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        enum:
          uniqueItems: true
          type: array
          items:
            type: object
        default: {}
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    AnyTypeObjectObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        enum:
          uniqueItems: true
          type: array
          items:
            type: object
        default:
          type: object
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
    PropertyGroup:
      type: object
      properties:
        label:
          type: string
        properties:
          type: array
          items:
            type: string

````